Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ij.gui
Interface DialogListener

All Known Implementing Classes:
  Convolver, GaussianBlur, MaximumFinder, PlugInFilterRunner, RankFilters, Rotator, SpecifyROI, UnsharpMask

public interface DialogListener

PlugIns or PlugInFilters that want to listen to changes in a GenericDialog without adding listeners for each dialog field should implement this method. The various dialog items can be read by the gd.getNextNumber etc. methods in the dialogItemChanged method of a PlugIn orPlugInFilter. The PlugIn or PlugInFilter has to be added to the GenericDialog by its addDialogListener method.

Method Summary
`boolean` | `dialogItemChanged(GenericDialog gd, java.awt.AWTEvent e)` This method is invoked by a Generic Dialog if any of the inputs have changed (CANCEL does not trigger it; OK and running the dialog from a macro only trigger the first DialogListener added to a GenericDialog).

Method Detail

### dialogItemChanged

    public boolean dialogItemChanged(GenericDialog gd,
                                     java.awt.AWTEvent e)

  This method is invoked by a Generic Dialog if any of the inputs have changed (CANCEL does not trigger it; OK and running the dialog from a macro only trigger the first DialogListener added to a GenericDialog).

  Parameters:
    `e` - The event that has been generated by the user action in the dialog. Note that `e` is `null` if the dialogItemChanged method is called after the user has pressed the OK button or if the GenericDialog has read its parameters from a macro.
    `gd` - A reference to the GenericDialog.
  Returns:
    Should be true if the dialog input is valid. False disables the OK button and preview (if any).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD